# Import Datasets into Pandas

## Exporting UDT Dataset as CSV

You can export any UDT dataset into a CSV file using the download button at the top of the page.

![Download CSV from the Universal Data Tool](/files/-MI13nBG3-BxFomTGUBy)

## Import CSV Into Pandas Dataframe

We can begin by importing the pandas, and our udt.csv file.&#x20;

```python
import pandas as pd

url_or_filepath_to_csv = "https://raw.githubusercontent.com/UniversalDataTool/udt-dataset-cats-and-dogs/master/coco_dogs_and_cats.udt.csv"
udt_csv = pd.read_csv(url_or_filepath_to_csv)
```

{% hint style="info" %}
You can use the udt.json format too, tables are just a nice way to visualize the data!
{% endhint %}

If you view the udt\_csv object, you should now see a breakdown of your CSV, ready to be imported!

![coco\_dogs\_and\_cats.udt.csv](/files/-MHs7p0X2wwpnrnN5DOG)

## Downloading Images

UDT Datasets just have links to images, so we'll need to download the actual images. Check out the [fast.ai Image classification tutorial](/machine-learning/fastai/import-datasets-for-fast.ai-image-classification.md), where we show how to easily download images using the fast.ai download\_images function.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.universaldatatool.com/machine-learning/import-datasets-into-pandas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
